<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>List of Receipts</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                Hello, {{ user.username }}
                <li><a href="{% url 'logout' %}">Logout</a></li>
                {% else %}
                <li><a href="{% url 'signup' %}">Signup</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
        </header>
        <main>
            <h1>My Accounts</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number</th>
                        <th>Number of receipts</th>
                    </tr>
                </thead>
                <tbody>
                  {% for account in accounts %}
                    <tr>
                        <td>{{ account.name }}</td>
                        <td>{{ account.number }}</td>
                        <td>{{ account.receipts.all|length }}</td>
                    </tr>
                  {% endfor %}
                </tbody>
            </table>
        </main>
</body>
</html>
